/* Copyright 2009 Palm, Inc.  All rights reserved. */

Photos.Model.Comments = Class.create(Photos.Model.Scene, {
	initialize: function($super, previewUrl, title, caption) {
		if (previewUrl === undefined) {
			throw "Invalid parameters to new Comments() model";
		}
		this.previewUrl = previewUrl;
		this.title = title || "";
		this.caption = caption || "";
	},

	getPreview: function() {
		return this.previewUrl;
	},

	getTitle: function() {
		return this.title;
	},

	getCaption: function() {
		return this.caption;
	},

	postComment: function(messsage, done) {
		done.curry(false).defer();
	}
});

